cURL
curl --request GET \
--url https://api.frigade.com/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.frigade.com/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.frigade.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "d34daa11-3745-4ac0-880e-d4b4d51fe13f",
"createdAt": "2024-01-01T00:00:00Z",
"modifiedAt": "2024-01-01T00:00:00Z",
"properties": {
"email": "john@doe.com",
"firstName": "John",
"lastName": "Doe",
"imageUrl": "https://example.com/john-doe.jpg"
},
"isGuest": false,
"email": "john@doe.com",
"firstName": "John",
"lastName": "Doe",
"userFlowStates": [
{
"flowSlug": "flow_abc",
"flowState": "COMPLETED_FLOW",
"flowResponses": [
{
"flowSlug": "flow_abc",
"actionType": "STARTED_STEP",
"stepId": "step-1",
"data": "{\"key\": \"value\"}",
"createdAt": "2024-01-01T00:00:00Z"
}
]
}
],
"trackingEvents": [
{
"event": "SignedUp",
"properties": {
"source": "landing-page",
"campaign": "summer-sale"
},
"createdAt": "2024-01-01T00:00:00Z"
}
]
}Users
Find a User
Find a user by ID
GET
/
v1
/
users
cURL
Authorizations
Authentication header of the form Bearer: <token>, where <token> is either your public or private API key. See when to use which
Response
The user was successfully found
The ID of the user as defined in your own application
Example:
"d34daa11-3745-4ac0-880e-d4b4d51fe13f"
The date and time the user was created
Example:
"2024-01-01T00:00:00Z"
The date and time the user was last modified
Example:
"2024-01-01T00:00:00Z"
The properties of the user
Example:
{
"email": "john@doe.com",
"firstName": "John",
"lastName": "Doe",
"imageUrl": "https://example.com/john-doe.jpg"
}
Whether the user is a guest
Example:
false
The email address of the user
Example:
"john@doe.com"
The first name of the user
Example:
"John"
The last name of the user
Example:
"Doe"
The user's state in the Flows they have interacted with
Show child attributes
Show child attributes
The tracking events associated with the user
Show child attributes
Show child attributes
Example:
[
{
"event": "SignedUp",
"properties": {
"source": "landing-page",
"campaign": "summer-sale"
},
"createdAt": "2024-01-01T00:00:00Z"
}
]